summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-06-21 19:58:04 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-06-21 19:58:04 +0200
commitc5249db880f4ceed20aa7da11de7487cb3d85356 (patch)
treec41d068869e6e501f77dde4cbbb304660e25f6fe /net-vpn/openvpn
parentnet-vpn/openvpn: Version bump to 2.4.3 (diff)
downloadgentoo-c5249db880f4ceed20aa7da11de7487cb3d85356.tar.gz
gentoo-c5249db880f4ceed20aa7da11de7487cb3d85356.tar.bz2
gentoo-c5249db880f4ceed20aa7da11de7487cb3d85356.zip
net-vpn/openvpn: Remove old
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'net-vpn/openvpn')
-rw-r--r--net-vpn/openvpn/Manifest2
-rw-r--r--net-vpn/openvpn/metadata.xml2
-rw-r--r--net-vpn/openvpn/openvpn-2.3.12.ebuild137
-rw-r--r--net-vpn/openvpn/openvpn-2.3.15.ebuild137
4 files changed, 0 insertions, 278 deletions
diff --git a/net-vpn/openvpn/Manifest b/net-vpn/openvpn/Manifest
index ae855f747a5..fc71d5c8504 100644
--- a/net-vpn/openvpn/Manifest
+++ b/net-vpn/openvpn/Manifest
@@ -1,5 +1,3 @@
DIST mock_msg.h 1356 SHA256 d6c56a423753c0b938a5dc32c978984eebb97243a2671a1652440093f67d61fb SHA512 930775a5837bc7f97a26817ea028782d555e0e71ba06b04c39941f4c01bbc3ca0a5dc63bcf19dc694e0e746b3a382f22daf6a6373a3443c5afd7398cbaaef6ea WHIRLPOOL 4cce848abc141e9d39cca1f8a0c9d11c0819d8a6e640c541968df491d2a6c3c0746233742418ee43c8bbc6ef19028a41159efae2922bcc719bd86442da05df86
-DIST openvpn-2.3.12.tar.gz 1235262 SHA256 f5d39b8c55f75b0aab943059b20571452b494146d997b12d48ce9bd753c01cff SHA512 8de40e9177268cce64906915ddc0d23381b4040ed00e6eefe4784b04d48f50d5c5ce9e99886eb18fe45d22c5c047478b9aa942e4c4eeaf115cc443a1d3ebe631 WHIRLPOOL 4adeb0da83a4fbff27bc90a3941b593f97dfdc3f50c3ccf10c113293bb0e4f85ead680b53645a2a078f907026549c8dbf068dcc64c9f89b6a967b3eb919f2c8c
-DIST openvpn-2.3.15.tar.gz 1324132 SHA256 705cecebe67ff581db4654f2d7977771546dd0e33f4b09656b5377a6972d84c1 SHA512 bcd7cf01f6da45de6b234d614702242485745f1318a294938b29e750b104e345a8776b10b11a6b4e37f1523bd91db045cf210f4500afcf6d5a232ef859eb9a0e WHIRLPOOL fa269f7aee093c5ec56c28a1117c018a92248db3da3926cab76edc90ca73facaa42bc1b5293ededcca76f3d4ab903c10a82768f3b4d33e0769e86744919574e6
DIST openvpn-2.4.2.tar.gz 1402516 SHA256 b24740c9d44a81eaf2befc4846d51445a520104321e32aaf0c135ed2e098a624 SHA512 9be3cef25f398c426087581d8bb2589ae2a3a1b3b812c73f7e9a4d3c35098421eea3099b33fc90606162d0429dcd7d9ae3449af89602e060e47cd4c053720e72 WHIRLPOOL 53343492084ac2c3a1672179521b89f0e4c0fda27c80ef4cf7a6e5fd61000e5ad0b0f3db420c1d03131b104c9c64e2fdccc4f689d3585351e54afee815804f7d
DIST openvpn-2.4.3.tar.gz 1397306 SHA256 84a01aa3df0c12a3552ca3baaa39d700137b5bce4b6de683fe87fb79bfa5df0b SHA512 e6fbe65d9071832871dcd173f5031ae3615b32f122d03a798afa05d2e5af1a6019dcdcf5107c9ea2c47aedf86c8cb61305e429c24696262ca9bc76c54adc1370 WHIRLPOOL 9fcbf2e32106158c58fc44d60a580fd5a6e4e49cb3de96f97bad468a718df0f8c3c8be8b1b1bfc5bc7f8e9463073abba535a955f6dd4f04e30c61f102fec24f8
diff --git a/net-vpn/openvpn/metadata.xml b/net-vpn/openvpn/metadata.xml
index d6c211a689c..7638a471b11 100644
--- a/net-vpn/openvpn/metadata.xml
+++ b/net-vpn/openvpn/metadata.xml
@@ -17,10 +17,8 @@ networks using an encrypted tunnel.</longdescription>
<flag name="iproute2">Enabled iproute2 support instead of net-tools</flag>
<flag name="lz4">Enable LZ4 support</flag>
<flag name="mbedtls">Use mbed TLS instead of OpenSSL</flag>
- <flag name="polarssl">Use PolarSSL instead of OpenSSL</flag>
<flag name="pkcs11">Enable PKCS#11 smartcard support</flag>
<flag name="plugins">Enable the OpenVPN plugin system</flag>
- <flag name="socks">Enable socks support</flag>
</use>
<upstream>
<remote-id type="cpe">cpe:/a:openvpn:openvpn</remote-id>
diff --git a/net-vpn/openvpn/openvpn-2.3.12.ebuild b/net-vpn/openvpn/openvpn-2.3.12.ebuild
deleted file mode 100644
index f19a6f16328..00000000000
--- a/net-vpn/openvpn/openvpn-2.3.12.ebuild
+++ /dev/null
@@ -1,137 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit multilib flag-o-matic user systemd linux-info
-
-DESCRIPTION="Robust and highly flexible tunneling application compatible with many OSes"
-SRC_URI="http://swupdate.openvpn.net/community/releases/${P}.tar.gz"
-HOMEPAGE="http://openvpn.net/"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
-IUSE="examples down-root iproute2 libressl +lzo pam pkcs11 +plugins polarssl selinux socks +ssl static systemd userland_BSD"
-
-REQUIRED_USE="static? ( !plugins !pkcs11 )
- polarssl? ( ssl !libressl )
- pkcs11? ( ssl )
- !plugins? ( !pam !down-root )"
-
-DEPEND="
- kernel_linux? (
- iproute2? ( sys-apps/iproute2[-minimal] ) !iproute2? ( sys-apps/net-tools )
- )
- pam? ( virtual/pam )
- ssl? (
- !polarssl? (
- !libressl? ( >=dev-libs/openssl-0.9.7:* )
- libressl? ( dev-libs/libressl )
- )
- polarssl? ( >=net-libs/polarssl-1.3.8 )
- )
- lzo? ( >=dev-libs/lzo-1.07 )
- pkcs11? ( >=dev-libs/pkcs11-helper-1.11 )
- systemd? ( sys-apps/systemd )"
-RDEPEND="${DEPEND}
- selinux? ( sec-policy/selinux-openvpn )
-"
-
-CONFIG_CHECK="~TUN"
-
-pkg_setup() {
- linux-info_pkg_setup
-}
-
-src_configure() {
- use static && LDFLAGS="${LDFLAGS} -Xcompiler -static"
- local myconf
- use polarssl && myconf="--with-crypto-library=polarssl"
- econf \
- ${myconf} \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- --with-plugindir="${ROOT}/usr/$(get_libdir)/$PN" \
- $(use_enable ssl) \
- $(use_enable ssl crypto) \
- $(use_enable lzo) \
- $(use_enable pkcs11) \
- $(use_enable plugins) \
- $(use_enable iproute2) \
- $(use_enable socks) \
- $(use_enable pam plugin-auth-pam) \
- $(use_enable down-root plugin-down-root) \
- $(use_enable systemd)
-}
-
-src_install() {
- default
- find "${ED}/usr" -name '*.la' -delete
- # install documentation
- dodoc AUTHORS ChangeLog PORTS README README.IPv6
-
- # Install some helper scripts
- keepdir /etc/openvpn
- exeinto /etc/openvpn
- doexe "${FILESDIR}/up.sh"
- doexe "${FILESDIR}/down.sh"
-
- # Install the init script and config file
- newinitd "${FILESDIR}/${PN}-2.1.init" openvpn
- newconfd "${FILESDIR}/${PN}-2.1.conf" openvpn
-
- # install examples, controlled by the respective useflag
- if use examples ; then
- # dodoc does not supportly support directory traversal, #15193
- insinto /usr/share/doc/${PF}/examples
- doins -r sample contrib
- fi
-
- systemd_newtmpfilesd "${FILESDIR}"/${PN}.tmpfile ${PN}.conf
- systemd_newunit distro/systemd/openvpn-client@.service openvpn-client@.service
- systemd_newunit distro/systemd/openvpn-server@.service openvpn-server@.service
-}
-
-pkg_postinst() {
- # Add openvpn user so openvpn servers can drop privs
- # Clients should run as root so they can change ip addresses,
- # dns information and other such things.
- enewgroup openvpn
- enewuser openvpn "" "" "" openvpn
-
- if path_exists -o "${EROOT%/}"/etc/openvpn/*/local.conf ; then
- ewarn "WARNING: The openvpn init script has changed"
- ewarn ""
- fi
-
- elog "The openvpn init script expects to find the configuration file"
- elog "openvpn.conf in /etc/openvpn along with any extra files it may need."
- elog ""
- elog "To create more VPNs, simply create a new .conf file for it and"
- elog "then create a symlink to the openvpn init script from a link called"
- elog "openvpn.newconfname - like so"
- elog " cd /etc/openvpn"
- elog " ${EDITOR##*/} foo.conf"
- elog " cd /etc/init.d"
- elog " ln -s openvpn openvpn.foo"
- elog ""
- elog "You can then treat openvpn.foo as any other service, so you can"
- elog "stop one vpn and start another if you need to."
-
- if grep -Eq "^[ \t]*(up|down)[ \t].*" "${ROOT}/etc/openvpn"/*.conf 2>/dev/null ; then
- ewarn ""
- ewarn "WARNING: If you use the remote keyword then you are deemed to be"
- ewarn "a client by our init script and as such we force up,down scripts."
- ewarn "These scripts call /etc/openvpn/\$SVCNAME-{up,down}.sh where you"
- ewarn "can move your scripts to."
- fi
-
- if use plugins ; then
- einfo ""
- einfo "plugins have been installed into /usr/$(get_libdir)/${PN}"
- fi
-
- einfo ""
- einfo "OpenVPN 2.3.x no longer includes the easy-rsa suite of utilities."
- einfo "They can now be emerged via app-crypt/easy-rsa."
-}
diff --git a/net-vpn/openvpn/openvpn-2.3.15.ebuild b/net-vpn/openvpn/openvpn-2.3.15.ebuild
deleted file mode 100644
index 9ad833e7b9b..00000000000
--- a/net-vpn/openvpn/openvpn-2.3.15.ebuild
+++ /dev/null
@@ -1,137 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit multilib flag-o-matic user systemd linux-info
-
-DESCRIPTION="Robust and highly flexible tunneling application compatible with many OSes"
-SRC_URI="http://swupdate.openvpn.net/community/releases/${P}.tar.gz"
-HOMEPAGE="http://openvpn.net/"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux"
-IUSE="examples down-root iproute2 libressl +lzo pam pkcs11 +plugins polarssl selinux socks +ssl static systemd userland_BSD"
-
-REQUIRED_USE="static? ( !plugins !pkcs11 )
- polarssl? ( ssl !libressl )
- pkcs11? ( ssl )
- !plugins? ( !pam !down-root )"
-
-DEPEND="
- kernel_linux? (
- iproute2? ( sys-apps/iproute2[-minimal] ) !iproute2? ( sys-apps/net-tools )
- )
- pam? ( virtual/pam )
- ssl? (
- !polarssl? (
- !libressl? ( >=dev-libs/openssl-0.9.7:* )
- libressl? ( dev-libs/libressl )
- )
- polarssl? ( >=net-libs/polarssl-1.3.8 )
- )
- lzo? ( >=dev-libs/lzo-1.07 )
- pkcs11? ( >=dev-libs/pkcs11-helper-1.11 )
- systemd? ( sys-apps/systemd )"
-RDEPEND="${DEPEND}
- selinux? ( sec-policy/selinux-openvpn )
-"
-
-CONFIG_CHECK="~TUN"
-
-pkg_setup() {
- linux-info_pkg_setup
-}
-
-src_configure() {
- use static && LDFLAGS="${LDFLAGS} -Xcompiler -static"
- local myconf
- use polarssl && myconf="--with-crypto-library=polarssl"
- econf \
- ${myconf} \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- --with-plugindir="${ROOT}/usr/$(get_libdir)/$PN" \
- $(use_enable ssl) \
- $(use_enable ssl crypto) \
- $(use_enable lzo) \
- $(use_enable pkcs11) \
- $(use_enable plugins) \
- $(use_enable iproute2) \
- $(use_enable socks) \
- $(use_enable pam plugin-auth-pam) \
- $(use_enable down-root plugin-down-root) \
- $(use_enable systemd)
-}
-
-src_install() {
- default
- find "${ED}/usr" -name '*.la' -delete
- # install documentation
- dodoc AUTHORS ChangeLog PORTS README README.IPv6
-
- # Install some helper scripts
- keepdir /etc/openvpn
- exeinto /etc/openvpn
- doexe "${FILESDIR}/up.sh"
- doexe "${FILESDIR}/down.sh"
-
- # Install the init script and config file
- newinitd "${FILESDIR}/${PN}-2.1.init" openvpn
- newconfd "${FILESDIR}/${PN}-2.1.conf" openvpn
-
- # install examples, controlled by the respective useflag
- if use examples ; then
- # dodoc does not supportly support directory traversal, #15193
- insinto /usr/share/doc/${PF}/examples
- doins -r sample contrib
- fi
-
- systemd_newtmpfilesd "${FILESDIR}"/${PN}.tmpfile ${PN}.conf
- systemd_newunit distro/systemd/openvpn-client@.service openvpn-client@.service
- systemd_newunit distro/systemd/openvpn-server@.service openvpn-server@.service
-}
-
-pkg_postinst() {
- # Add openvpn user so openvpn servers can drop privs
- # Clients should run as root so they can change ip addresses,
- # dns information and other such things.
- enewgroup openvpn
- enewuser openvpn "" "" "" openvpn
-
- if path_exists -o "${EROOT%/}"/etc/openvpn/*/local.conf ; then
- ewarn "WARNING: The openvpn init script has changed"
- ewarn ""
- fi
-
- elog "The openvpn init script expects to find the configuration file"
- elog "openvpn.conf in /etc/openvpn along with any extra files it may need."
- elog ""
- elog "To create more VPNs, simply create a new .conf file for it and"
- elog "then create a symlink to the openvpn init script from a link called"
- elog "openvpn.newconfname - like so"
- elog " cd /etc/openvpn"
- elog " ${EDITOR##*/} foo.conf"
- elog " cd /etc/init.d"
- elog " ln -s openvpn openvpn.foo"
- elog ""
- elog "You can then treat openvpn.foo as any other service, so you can"
- elog "stop one vpn and start another if you need to."
-
- if grep -Eq "^[ \t]*(up|down)[ \t].*" "${ROOT}/etc/openvpn"/*.conf 2>/dev/null ; then
- ewarn ""
- ewarn "WARNING: If you use the remote keyword then you are deemed to be"
- ewarn "a client by our init script and as such we force up,down scripts."
- ewarn "These scripts call /etc/openvpn/\$SVCNAME-{up,down}.sh where you"
- ewarn "can move your scripts to."
- fi
-
- if use plugins ; then
- einfo ""
- einfo "plugins have been installed into /usr/$(get_libdir)/${PN}"
- fi
-
- einfo ""
- einfo "OpenVPN 2.3.x no longer includes the easy-rsa suite of utilities."
- einfo "They can now be emerged via app-crypt/easy-rsa."
-}